/****************************************************************************
** COPYRIGHT (C):    1997 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Practical OO Development with C++ and Java
** FILE:             FilledRect.java
** PURPOSE:          shape class
** VERSION           1.0
** PROGRAMMERS:      Cay Horstmann (CSH)
** RELEASE DATE:     3-15-97 (CSH)
** UPDATE HISTORY:
****************************************************************************/

package practicaloo;

import java.awt.Graphics;
import java.awt.Color;
import java.io.PrintStream;

public class FilledRect extends Rectangle
{   public FilledRect(Point p, Point q, Color c)
    {   super(p, q);
        _color = c;
    }

    public void plot(Graphics g)
    {   g.setColor(_color);
        Point a = super.left_top();
        Point b = super.right_bottom();
        g.fillRect(a.get_x(), a.get_y(), Math.abs(a.get_x() - b.get_x()),
                    Math.abs(a.get_y() - b.get_y()));
    }

    private Color _color;
}



